/*
   Try examples like
      >java ParseURI  http://math.purduecal.edu:80/~rlkraft/cs40400/class.html#Sept26
      >java ParseURI  http://www.google.com:80
*/
import java.net.*;

public class Parse_URI
{
   public static void main(String[] args)
   {
      final String uriString;
      if (args.length > 0)
      {
         uriString = args[0];
      }
      else
      {  // Cretae a default URI.
         uriString = "ftp://myUsername:myPassword@example.com:8042/over/there/index.php?type=animal&name=narwhal#nose";
      }

      try
      {
         final URI uri = new URI( uriString );

         // See
         //     https://en.wikipedia.org/wiki/Uniform_Resource_Identifier#Example_URIs
         System.out.println("URI = " + uri);
         System.out.println();
         System.out.println("Scheme = "    + uri.getScheme());
         System.out.println("Authority = " + uri.getAuthority());
         System.out.println("UserInfor = " + uri.getUserInfo());
         System.out.println("Host = "      + uri.getHost());
         System.out.println("Port = "      + uri.getPort());
         System.out.println("Path = "      + uri.getPath());
       //System.out.println("File = "      + uri.getFile());
         System.out.println("Query = "     + uri.getQuery());
       //System.out.println("Anchor = "    + uri.getRef());
      }
      catch (URISyntaxException e)
      {
         System.out.println(e);
      }
   }
}
