/*
   Try examples like
      > java Retrieve_URL  http://cs.pnw.edu/~rlkraft/
      > java Retrieve_URL  http://www.google.com
*/
import java.net.*;
import java.io.*;

public class Retrieve_URL
{
   public static void main(String[] args)
   {
      final String urlString;
      if (args.length > 0)
      {
         urlString = args[0];
      }
      else
      {
         urlString = null;
         System.err.println("Usage: java Retrieve_URL <url>");
         System.exit(1);
      }

      try
      {
         final URL url = new URL( urlString );

         final BufferedReader bf = new BufferedReader(
                                       new InputStreamReader(
                                          url.openStream(), "latin1"));

         // Read the server's response.
         for (String oneLine; (oneLine = bf.readLine()) != null; )
         {
            System.out.println(oneLine);
         }
      }
      catch (MalformedURLException e)
      {
         System.out.println(e);
      }
      catch (IOException e)
      {
         System.out.println(e);
      }
   }
}
